--
-- FST990 + Ev for FS25
-- @author: _Near
-- @changelog:
-- 		- 1.0.0.0
--			- Initial Specialization 
--
local modDirectory = g_currentModDirectory or ""
local modName = g_currentModName or "unknown"

source(modDirectory .. "scripts/EvToggle.lua")
 
local function initSpecialization(manager)
    if manager.typeName == "vehicle" then
        g_specializationManager:addSpecialization("evToggle", "EvToggle", modDirectory .. "scripts/EvToggle.lua", nil)

        for typeName, typeEntry in pairs(g_vehicleTypeManager:getTypes()) do
            if typeEntry ~= nil and typeName == modName .. ".evFuelTrailer" then 
				g_vehicleTypeManager:addSpecialization(typeName, modName .. ".evToggle")
            end
        end
    end
end

local function init()
    TypeManager.validateTypes = Utils.prependedFunction(TypeManager.validateTypes, initSpecialization)
end

init()